class Network {
  ArrayList<Node> nodes = new ArrayList<Node>();

  public void addNodes(Node ... nodes) {
    for (Node node : nodes) {
      this.nodes.add(node);
    }
  }

  void iterate() {
    for (Node node : nodes) {
      node.iterate(nodes);
    }
  }

  void render() {
    for (Node node : nodes) {
      node.render(nodes);
    }
  }
}
